DASHER(1)

NAME
dasher - graphical predictive text entry system

SYNOPSIS
less [-wop] [filename]

DESCRIPTION
dasher is an information-efficient text-entry interface, driven by natural continuous pointing gestures. Dasher is a competitive text-entry system wherever a full-size keyboard cannot be used.

OPTIONS
dasher takes the following options:

-o  Dasher will appear without a text edit box and will default to entering text into other windows.

-p  Dasher will open a preferences window and not the main window.

-s  Dasher will output the entered text to stdout whenever stopped. Only text entered since the last stop will be output.

-w  Whenever Dasher is stopped, the time taken, number of characters entered, and number of bits of information will be displayed, along with ratios of these quantities.

USAGE
After startup, Dasher will present the user with a window containing two major sections. The top portion is the edit box - text entered via Dasher will appear here, and the text may also be edited directly. The bottom portion is the main Dasher interface and will display a blank background with a column of letters on the right hand side. Clicking the mouse button will start the model, and the screen will zoom towards the point underneath the mouse pointer. To select a letter, move the mouse pointer into it and watch how it zooms underneat the crosshair. Within the selected letter, a new column of letters will appear. Move the pointer over one of these letters to select it as the next letter. To correct mistakes, move the mouse pointer to the left of the crosshair and Dasher will zoom out allowing you to select new letters.

MENUS

  File

New Restore Dasher to the state it was in when started

Open
    Read a text file into the Dasher edit box for further editting

Save
    Save the contents of the Dasher edit box to a file

Save as
    Save the contents of the Dasher edit box to a file chosen by the user

Append to file
    Add the contents of the Dasher edit box to the end of a file chosen by the user

Import training text
    Use a file to further train Dasher (for instance, a training file containing scientific terms to add to the initial English training). Training files must be UTF-8 encoded.

Exit
    Quit Dasher

  Edit

Cut Remove the highlighted text from the edit box and copy it to the clipboard

Copy
    Copy the highlighted text from the edit box to the clipboard but don't remove it

Paste
    Paste the contents of the clipboard into the edit box at the position of the cursor

Copy all
    Copy the entire contents of the edit box to the clipboard

Select all
    Highlight all of the text in the edit box

  Options

Preferences
    Opens the preferences dialog (see THE PREFERENCES DIALOG below)

Edit font
    Choose the font used in the edit box

Dasher font
    Choose the font used in the Dasher canvas

Dasher font size
    Choose the size of the font used in the Dasher canvas

Reset fonts
    Reset the fonts back to the defaults

Enter text into other windows
    Make Dasher enter text into the currently focused window. Requires Dasher to have been built with Note that some languages will only work correctly if XFree 4.0.2 or higher is being used.

Control mode
    Provides a control node at the bottom of the screen. This allows various tasks to be performed inside Dasher, such as editing the text written, speaking entered text and stopping or pausing Dasher. If compiled with and using a desktop supporting the ATK accessibility framework, compliant applications will have their menu trees exported to Dasher and these may be accessed via this node.

  Help

About Dasher
    Display information about the current version of Dasher

THE PREFERENCES DIALOG
The preferences dialog is split into several panes.

  Alphabet
Choose a different alphabet. Dasher will automatically retrain itself if the alphabet specified training file is present

  Colour
Choose a different colour scheme.

  Control
Alter various control options

One dimensional mode
    Map the Y position of the mouse to a 2 dimensional position on the Dasher canvas (useful for limited mobility users)

Eyetracker mode
    Similar to one dimensional mode, but behaves normally except at the right-hand side of the canvas. Designed for eyetracker users.

Start on left mouse button
    The left mouse button will toggle Dasher between running and paused state

Start on space bar
    The space bar will toggle Dasher between running and paused state

Start with mouse position
    When paused, Dasher will display a red box. If the pointer is held in the red box until a yellow box appears, and then in the yellow box until it vanishes, Dasher will start. This allows users with no button input to start and stop Dasher.

Copy all on stop
    Toggle whether the current text is automatically copied to the clipboard when Dasher is stopped

Speak on stop
    Toggle whether the newly entered text should be spoken when Dasher is stopped. Requires --with-speech to have been used during Dasher configuration and building.

Pause outside window
    Toggle whether Dasher pauses if the mouse cursor is moved outside the Dasher window

  View

Orientation
    Change the relative position of the letters to the crosshairs. Alphabet Default will allow alphabets to set this automatically.

Show toolbar
    Toggle whether or not the row of buttons at the top of the window is displayed

Show speed slider
    Toggle whether or not the speed slider at the bottom of the window is displayed

Show mouse position
    Toggle whether Dasher should draw a box showing the logical position of the mouse cursor

Draw line between crosshairs and mouse
    Toggle whether Dasher should draw a line between the crosshairs and the logical mouse position

Draw box outlines
    Toggle whether Dasher should draw a box outline around every box it draws

Change colour scheme automatically
    Alphabets may provide a preferred colour scheme. If this option is enabled, Dasher will automatically change to it.

  Advanced

Smoothing
    The greater the smoothing value, the greater the uniformity of the box sizes. This will reduce the predictive capabilities of Dasher, and so may reduce writing speed.

Timestamp new files
    Include the time at which a file is saved in the filename

Distance from centreline for start on mouse position
    Controls the distance from the centre of the Dasher screen that the mouse position start boxes will appear.

Number of pixels that should cover the entire y range
    Controls how many pixels of input should correspond to complete coverage of the Dasher canvas. Only used in one dimensional mode.

CONVERTING TRAINING FILES TO UTF-8
Dasher requires that training files be in the UTF-8 format, whereas most text files are likely to be in ISO-8859 format. This doesn't matter for plain text, but accented characters are encoded differently. In order to convert them, use the iconv(1) program. For instance, if your training file is in ISO-8859-1 format (Western European), run iconv -f ISO-8859-1 -t UTF-8 trainingfile >newtrainingfile

FILES
/usr/share/dasher/
    System-wide configuration files
~/.dasher
    User configuration files
dasher will utilise data from both of these directories. Training texts from both will be used, allowing users to add their own training data to the system wide data alphabet*.xml
    The files defining the alphabets available to Dasher
colour*.xml
    The files defining the colour schemes available to Dasher
train*txt
    Files containing the training data used by Dasher. These are UTF-8 encoded text and should contain a representative sample of the relevant language.

AUTHOR
The Dasher Project <dasher@mrao.phy.cam.ac.uk> - http://www.inference.phy.cam.ac.uk/dasher/